<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-withdrawal-create.js");
</script>

<div class="card">

    <div class="card-block">

        <div th:if="${!signed}" class="text-center">
            <h5 th:text="#{toCreateWithdrawalRequests}">Para crear solicitudes de retiro es necesario tener el contrato de afiliación firmado, dirijase a la página de perfil para poder firmarlo.</h5>
            <button class="btn btn-success" id="profile"th:text="#{goToProfile}">Ir al perfil</button>
        </div>

        <div th:if="${bacs.isEmpty()}" class="text-center">
            <h5 th:text="#{needVerifiedAccount}">Para crear solicitudes de retiro es necesario tener al menos una cuenta para retiro verificada.</h5>            
        </div>

        <form th:action="${postUrl}" method="post" id="request-form" th:if="${signed && !bacs.isEmpty()}">

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="balance" th:text="#{cashBalance}">Saldo efectivo</label>
                <input class="form-control-sm" id="balance" name="balance" type="text" readonly="readonly" th:value="${effective}" disabled="disabled"/>
            </div>
            <!--<div class="form-group row">
                <label class="col-md-3 col-form-label">Metodo de pago</label>
                <select name="processor" class="form-control-sm">
                    <option value="-1" disabled="disabled" selected="selected">Seleccione...</option>
                    <option value="cash">Efectivo</option>
                    <option value="bacs">Transferencia Bancaria</option>
                    <option value="paypal">Paypal</option>
                        <option value="tefpay">Tarjeta credito/debito</option>
                </select>
            </div>-->            
            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{bankAccount}">Cuenta bancaria</label>
                <select name="bacs" class="form-control-sm">
                    <option value="-1" disabled="disabled" selected="selected"><span th:text="#{optSelect}"></span></option>
                    <option th:value="${bac.id}" th:each="bac : ${bacs}" th:text="${bac.accountName}"></option>
                </select>
            </div>            
            <!--<div class="form-group row">
                <label class="col-md-3 col-form-label" for="accountNumber">Numero de Cuenta</label>
                <input class="form-control-sm" id="accountNumber" name="accountNumber"/>
            </div>-->
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="amount" th:text="#{amountToWithdraw}">Monto a retirar</label>
                <input type="text" class="form-control-sm" id='amount' name="amount"/>
                <a class="btn btn-info btn-xs" id="calc" style="margin-bottom:  0px !important;">
                    <i class="fa fa-calculator"></i>
                </a>                
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="amount"></label>
                <pre class="col-md-6" id="calc-info" ></pre>
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="description" th:text="#{comments}">Comentarios</label>
                <textarea class="form-control-sm" id="description" name="description" rows="3"></textarea> 
            </div>
            <br/>
        </form>
    </div>

    <div id="alert_placeholder"></div>

    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
    <button class="btn btn-success pull-right" id="save" th:if="${signed}" th:text="#{btnSave}">Guardar</button>
</div>

